using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Grid;

namespace StartGC
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Grid.GridControl gridControl1;
        private System.Windows.Forms.Button button1;
        private Button button2;
        private Button button3;
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			InitializeComponent();
		}
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		private void InitializeComponent()
		{
            this.gridControl1 = new Syncfusion.Windows.Forms.Grid.GridControl();
            this.button1 = new System.Windows.Forms.Button();
            this.button2 = new System.Windows.Forms.Button();
            this.button3 = new System.Windows.Forms.Button();
            ((System.ComponentModel.ISupportInitialize)(this.gridControl1)).BeginInit();
            this.SuspendLayout();
            // 
            // gridControl1
            // 
            this.gridControl1.Location = new System.Drawing.Point(8, 8);
            this.gridControl1.Name = "gridControl1";
            this.gridControl1.Size = new System.Drawing.Size(470, 227);
            this.gridControl1.SmartSizeBox = false;
            this.gridControl1.TabIndex = 0;
            this.gridControl1.Text = "gridControl1";
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(70, 253);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(115, 56);
            this.button1.TabIndex = 1;
            this.button1.Text = "Change to DateTime";
            this.button1.Click += new System.EventHandler(this.button1_Click);
            // 
            // button2
            // 
            this.button2.Location = new System.Drawing.Point(207, 253);
            this.button2.Name = "button2";
            this.button2.Size = new System.Drawing.Size(96, 56);
            this.button2.TabIndex = 2;
            this.button2.Text = "Change to Floating Numbers";
            this.button2.UseVisualStyleBackColor = true;
            this.button2.Click += new System.EventHandler(this.button2_Click);
            // 
            // button3
            // 
            this.button3.Location = new System.Drawing.Point(328, 253);
            this.button3.Name = "button3";
            this.button3.Size = new System.Drawing.Size(94, 56);
            this.button3.TabIndex = 3;
            this.button3.Text = "Clear Formatting";
            this.button3.UseVisualStyleBackColor = true;
            this.button3.Click += new System.EventHandler(this.button3_Click);
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(490, 334);
            this.Controls.Add(this.button3);
            this.Controls.Add(this.button2);
            this.Controls.Add(this.button1);
            this.Controls.Add(this.gridControl1);
            this.Name = "Form1";
            this.Text = "Format Cell";
            this.Load += new System.EventHandler(this.Form1_Load);
            ((System.ComponentModel.ISupportInitialize)(this.gridControl1)).EndInit();
            this.ResumeLayout(false);

		}
		#endregion
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridControl1.TableStyle.CellValueType= typeof(double);
            for (int i = 1; i <= 10; i++)
            {
                this.gridControl1[i, 1].Text = (100+i).ToString(); 
            }
        }
        private void button1_Click(object sender, System.EventArgs e)
		{            
            //this.gridControl1.TableStyle.Format = "d";
            this.gridControl1.TableStyle.Format = "mm:ss";
            this.gridControl1.TableStyle.CellValueType = typeof(Double);
            //
            for (int i = 1; i <= 10; i++)
            {
                this.gridControl1[i, 1].Text = (i + 100).ToString();
            }
		}

        private void button2_Click(object sender, EventArgs e)
        {
            this.gridControl1.TableStyle.Format = "##.00";
            this.gridControl1.TableStyle.CellValueType = typeof(Double);
            //
            for (int i = 1; i <= 10; i++)
            {
                this.gridControl1[i, 1].Text = (i + 100).ToString();
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.gridControl1.TableStyle.Format = "";
            this.gridControl1.TableStyle.CellValueType = typeof(Double);

            for (int i = 1; i <= 10; i++)
            {
                this.gridControl1[i, 1].Text = (100 + i).ToString();
            }
        }
	}
}
